"""create table for countries
Revision ID: 1d2e3f4a5b6c
Revises: 0001
Create Date: 2023-05-18 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '1d2e3f4a5b6c'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'countries',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('iso_code', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_countries_name', 'name'),
        sa.Index('ix_countries_iso_code', 'iso_code')
    )

def downgrade():
    op.drop_table('countries')